<template>
    <domain-settings-group
            :settings-group="{value: dataSource}"
            :is-modal="true"
            :is-expeditor="isExpeditor"
            @close="$emit('close')"
            @revert="$emit('revert', activeParticipant)"
            @save="$emit('save', activeParticipant)"
            @change-setting="changeSetting"
    ></domain-settings-group>
</template>

<script>
    import DomainSettingsGroup from "../domain-settings/DomainSettingsGroup";
    export default {
        name: "IndividualSettingsSetPopup",
        components: {DomainSettingsGroup},
        props: {
            isExpeditor: {
                type: Boolean,
                default: false
            },
            dataSource: {
                type: Array,
                default: () => []
            },
            activeParticipant: {
                type: Object,
                default: () => {}
            }
        },
        methods: {
            changeSetting (row, access, status) {
                this.$emit('change-setting', this.activeParticipant, access, status, this.activeParticipant)
            }
        }
    }
</script>

<style scoped>

</style>